//
//	File:		InstaCompOneSCExt.r
//
//	This file contains the 'scex' and 'scvc' definitions for the Direct Copy ScriptCheck extension.
//	A ScriptCheck extension needs to contain two code resources:
//				
//				1) A code resource referred to by the 'scex' resource.
//				   This code resource contains a File/Resource Info
//				   function which provides ScriptCheck with the file's
//				   Finder attributes, data fork size, resource fork size,
//				   creation date, and modification date.  The source code
//				   for our example function can be found in the file
//				   "DirectCopyScriptCheckExt.c".
//
//				2) A code resource referred to by the 'scvc' resource.
//				   This code resource contains a Version Info
//				   function which provides ScriptCheck with the source 
//				   file's version number.  The source code for our example 
//				   function can be found in the file "DirectCopySCVersExt.c".
//
//  For more information on writing ScriptCheck Extensions see the ScriptCheck documentation
//	included in the Installer SDK.
//
//	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.
//
//

#include "ScriptCheckTypes.r"

resource 'scex' (129) {
	format0 {
		'scfn',								// file/resource info code resource type
		129,								// file/resource info code resource ID
		0,
		24000,
		"DirectCopy ScriptCheck Extension"
	}
};

resource 'scvc' (129) {
	format0 {
		'scfn',								// version info code resource type
		130,								// version info code resource ID
		0,
		24000,
		"DirectCopy ScriptCheck Extension"
	}
};
